//+------------------------------------------------------------------+
//|                                                True Scalping.mq4 |
//|                                                          by Lewi |
//+------------------------------------------------------------------+
#property copyright "3505, Lewi"

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- 
   int err;
   
   GlobalVariableGet("LastPrice");
   err=GetLastError();
   if (err > 0)
      GlobalVariableSet("LastPrice",0);    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   GlobalVariableDel("LastPrice");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   if (GlobalVariableGet("LastPrice")==0)
   {
      OrderSend(Symbol(),OP_BUY,0.01,Ask,6,0,Ask+35*Point,NULL,0,0,Yellow);
      OrderSend(Symbol(),OP_SELL,0.01,Bid,6,0,Bid-35*Point,NULL,0,0,Red);
      GlobalVariableSet("LastPrice",Bid);    
   }
   else
   {
      if ((GlobalVariableGet("LastPrice") - Bid)*0.010000 > 35)
      {
         OrderSend(Symbol(),OP_BUY,0.01,Ask,6,0,Ask+35*Point,NULL,0,0,Yellow);
         OrderSend(Symbol(),OP_SELL,0.01,Bid,6,0,Bid-35*Point,NULL,0,0,Red);
         GlobalVariableSet("LastPrice",Bid);    
      }
      if ((GlobalVariableGet("LastPrice") - Bid)*0.010000 < -35)
      {
         OrderSend(Symbol(),OP_BUY,0.01,Ask,6,0,Ask+35*Point,NULL,0,0,Yellow);
         OrderSend(Symbol(),OP_SELL,0.01,Bid,6,0,Bid-35*Point,NULL,0,0,Red);
         GlobalVariableSet("LastPrice",Bid);    
      }
   }

   return(0);
  }
//+------------------------------------------------------------------+